"""

Author: Obrtac Tomas (obrtac.tomas@gmail.com)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""

#Kniznica pre zakryvanie a zobrazovanie jednolivych casti guicka
    #Su tu iba prikazy show a hide, preto to komentovat asi nebudem

def Create_new_gateway_hide(self):
    self.MAC_input.hide()
    self.MAC_label.hide()
    self.TX_Channel_input.hide()
    self.TX_Channel_label.hide()
    self.NetID_input.hide()
    self.NetID_label.hide()
    self.vertical_line.hide()
    self.Create_button.hide()

def Create_new_device_hide(self):
    self.DevEUI_label.hide()
    self.DevEUI_input.hide()
    self.Region_label.hide()
    self.Region_input.hide()
    self.ApplicationD_input.hide()
    self.ApplicationD_label.hide()
    self.AppID_label.hide()
    self.AppID_input.hide()
    self.AppEUI_input.hide()
    self.AppEUI_label.hide()
    self.AppID_label.hide()
    self.AppKey_input.hide()
    self.AppKey_label.hide()
    self.Can_joinD_label.hide()
    self.Can_joinD_input.hide()
    self.vertical_line.hide()
    self.Check_box_1.hide()
    self.Check_box_1_label.hide()
    self.Check_box_2.hide()
    self.Check_box_2_label.hide()
    self.Check_box_3.hide()
    self.Check_box_3_label.hide()
    self.Check_box_4.hide()
    self.Check_box_4_label.hide()
    self.Check_box_5.hide()
    self.Check_box_5_label.hide()
    self.Check_box_6.hide()
    self.Check_box_6_label.hide()
    self.Check_box_7.hide()
    self.Check_box_7_label.hide()
    self.Check_box_8.hide()
    self.Check_box_8_label.hide()
    self.Check_box_9.hide()
    self.Check_box_9_label.hide()
    self.Check_box_10.hide()
    self.Check_box_10_label.hide()
    self.Check_box_11.hide()
    self.Check_box_11_label.hide()
    self.Check_box_12.hide()
    self.Check_box_12_label.hide()
    self.Check_box_13.hide()
    self.Check_box_13_label.hide()
    self.Check_box_14.hide()
    self.Check_box_14_label.hide()
    self.Check_box_15.hide()
    self.Check_box_15_label.hide()
    self.Set_channel_label.hide()
    self.Set_Power_input.hide()
    self.Set_Power_label.hide()
    self.Set_data_rate_input.hide()
    self.SET_data_rate_label.hide()
    Create_button_hide(self)

def Create_new_link_hide(self):
    self.Devaddr_label.hide()
    self.vertical_line.hide()
    # self.Region_label.hide()
    # self.Frequency_label.hide()
    # self.AppID_label.hide()
    # self.NwkSKey_label.hide()
    # self.AppID_label.hide()
    self.Application_label.hide()
    self.Region_label.hide()
    self.Region_input.hide()
    self.NwkSKey_label.hide()
    self.AppSKey_label.hide()
    self.FCnt_Chcek_label.hide()
    self.Devaddr_input.hide()
    # self.Region_input.hide()
    # self.AppID_input.hide()
    self.AppSKey_input.hide()
    self.FCnt_Check_input.hide()
    self.NwksKEY_input.hide()
    self.Application_input.hide()
    self.Set_Power_input.hide()
    self.Set_Power_label.hide()
    self.Set_data_rate_input.hide()
    self.SET_data_rate_label.hide()
    self.Set_channel_label.hide()
    self.Check_box_1.hide()
    self.Check_box_1_label.hide()
    self.Check_box_2.hide()
    self.Check_box_2_label.hide()
    self.Check_box_3.hide()
    self.Check_box_3_label.hide()
    self.Check_box_4.hide()
    self.Check_box_4_label.hide()
    self.Check_box_5.hide()
    self.Check_box_5_label.hide()
    self.Check_box_6.hide()
    self.Check_box_6_label.hide()
    self.Check_box_7.hide()
    self.Check_box_7_label.hide()
    self.Check_box_8.hide()
    self.Check_box_8_label.hide()
    self.Check_box_9.hide()
    self.Check_box_9_label.hide()
    self.Check_box_10.hide()
    self.Check_box_10_label.hide()
    self.Check_box_11.hide()
    self.Check_box_11_label.hide()
    self.Check_box_12.hide()
    self.Check_box_12_label.hide()
    self.Check_box_13.hide()
    self.Check_box_13_label.hide()
    self.Check_box_14.hide()
    self.Check_box_14_label.hide()
    self.Check_box_15.hide()
    self.Check_box_15_label.hide()
    self.AppID_input.hide()
    self.AppID_label.hide()
    self.Create_button.hide()

    return

def List_of_devaddr_hide(self):
    self.links_list.hide()
 #Funkcia pre zobrazenie moznosti pre vytvorenie noveho linku

def List_of_devaddr_show(self):
    self.links_list.show()
    #  Skryje list s devaddr
def Create_new_link_show(self):
    self.Devaddr_label.show()
    self.vertical_line.show()
    #self.Region_label.show()
    self.Application_label.show()
    self.Region_label.show()
    self.Region_input.show()
    #self.AppID_label.show()
    self.NwkSKey_label.show()
    #self.AppID_label.show()
    self.AppSKey_label.show()
    self.FCnt_Chcek_label.show()
    self.Devaddr_input.show()
    #self.Region_input.show()
    #self.AppID_input.show()
    self.AppSKey_input.show()
    self.FCnt_Check_input.show()
    self.NwksKEY_input.show()
    self.Application_input.show()
    self.Set_Power_input.show()
    self.Set_Power_label.show()
    self.Set_data_rate_input.show()
    self.SET_data_rate_label.show()
    self.Set_channel_label.show()
    self.Check_box_1.show()
    self.Check_box_1_label.show()
    self.Check_box_2.show()
    self.Check_box_2_label.show()
    self.Check_box_3.show()
    self.Check_box_3_label.show()
    self.Check_box_4.show()
    self.Check_box_4_label.show()
    self.Check_box_5.show()
    self.Check_box_5_label.show()
    self.Check_box_6.show()
    self.Check_box_6_label.show()
    self.Check_box_7.show()
    self.Check_box_7_label.show()
    self.Check_box_8.show()
    self.Check_box_8_label.show()
    self.Check_box_9.show()
    self.Check_box_9_label.show()
    self.Check_box_10.show()
    self.Check_box_10_label.show()
    self.Check_box_11.show()
    self.Check_box_11_label.show()
    self.Check_box_12.show()
    self.Check_box_12_label.show()
    self.Check_box_13.show()
    self.Check_box_13_label.show()
    self.Check_box_14.show()
    self.Check_box_14_label.show()
    self.Check_box_15.show()
    self.Check_box_15_label.show()
    self.AppID_label.show()
    self.AppID_input.show()
    self.Create_button.show()

    return

def Create_new_device_show(self):

    self.DevEUI_label.show()
    self.DevEUI_input.show()
    self.Region_label.show()
    self.Region_input.show()
    self.ApplicationD_input.show()
    self.ApplicationD_label.show()
    self.AppID_label.show()
    self.AppID_input.show()
    self.AppEUI_input.show()
    self.AppEUI_label.show()
    self.AppID_label.show()
    self.AppKey_input.show()
    self.AppKey_label.show()
    self.Can_joinD_label.show()
    self.Can_joinD_input.show()
    self.vertical_line.show()
    self.Set_Power_input.show()
    self.Set_Power_label.show()
    self.Set_data_rate_input.show()
    self.SET_data_rate_label.show()
    self.Check_box_1.show()
    self.Check_box_1_label.show()
    self.Check_box_2.show()
    self.Check_box_2_label.show()
    self.Check_box_3.show()
    self.Check_box_3_label.show()
    self.Check_box_4.show()
    self.Check_box_4_label.show()
    self.Check_box_5.show()
    self.Check_box_5_label.show()
    self.Check_box_6.show()
    self.Check_box_6_label.show()
    self.Check_box_7.show()
    self.Check_box_7_label.show()
    self.Check_box_8.show()
    self.Check_box_8_label.show()
    self.Check_box_9.show()
    self.Check_box_9_label.show()
    self.Check_box_10.show()
    self.Check_box_10_label.show()
    self.Check_box_11.show()
    self.Check_box_11_label.show()
    self.Check_box_12.show()
    self.Check_box_12_label.show()
    self.Check_box_13.show()
    self.Check_box_13_label.show()
    self.Check_box_14.show()
    self.Check_box_14_label.show()
    self.Check_box_15.show()
    self.Check_box_15_label.show()
    self.Set_channel_label.show()
    Create_button_show(self)

def Create_new_gateway_show(self):
    self.MAC_input.show()
    self.MAC_label.show()
    self.TX_Channel_input.show()
    self.TX_Channel_label.show()
    self.NetID_input.show()
    self.NetID_label.show()
    self.vertical_line.show()
    self.Create_button.show()

def List_of_devices_hide(self):
    self.devices_list.hide()
 #Funkcia pre zobrazenie moznosti pre vytvorenie noveho linku

def List_of_devices_show(self):
    self.devices_list.show()

def Create_button_hide(self):
    self.Create_button.hide()

def Edit_button_hide(self):
    self.Edit_button.hide()
    self.Back_button.hide()

def Create_button_show(self):
    self.Create_button.show()

def Edit_button_show(self):
    self.Edit_button.show()
    self.Back_button.show()

def Delete_button_show(self):
    self.Delete_button.show()

def Delete_button_hide(self):
    self.Delete_button.hide()

def List_of_gateways_hide(self):
    self.gateway_list.hide()
 #Funkcia pre zobrazenie moznosti pre vytvorenie noveho linku

def List_of_gateways_show(self):
    self.gateway_list.show()

def Show_button_show(self):
    self.Show_button.show()

def Show_button_hide(self):
    self.Show_button.hide()

def List_of_dates_hide(self):
    self.Dates_list.hide()

def List_of_dates_show(self):
    self.Dates_list.show()

def Back_graph_button_show(self):
    self.Back_graphs_button.show()

def Back_graph_button_hide(self):
    self.Back_graphs_button.hide()

def TabWidget_for_graphs_show(self):
    self.TabWidget_for_graphs.show()

def TabWidget_for_graphs_hide(self):
    self.TabWidget_for_graphs.hide()

def Refresh_button_show(self):
    self.Refresh_button.show()

def Refresh_button_hide(self):
    self.Refresh_button.hide()

def Back_button_for_devices_show(self):
    self.Back_button_for_devices.show()

def Back_button_for_devices_hide(self):
    self.Back_button_for_devices.hide()
